--- old/usr/src/lib/libfakekernel/common/cond.c	Mon Nov  6 02:54:35 2017
+++ new/usr/src/lib/libfakekernel/common/cond.c	Mon Nov  6 02:54:35 2017
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 /*
@@ -118,6 +119,19 @@
 	return (cv__twait(cv, mp, delta, 1));
 }
 
+/*ARGSUSED*/
+clock_t
+cv_timedwait_hires(kcondvar_t *cv, kmutex_t *mp, hrtime_t tim, hrtime_t res,
+	int flag)
+{
+	clock_t delta;
+
+	delta = tim;
+	if (flag & CALLOUT_FLAG_ABSOLUTE)
+		delta -= gethrtime();
+	return (cv__twait(cv, mp, delta, 0));
+}
+
 clock_t
 cv_reltimedwait(kcondvar_t *cv, kmutex_t *mp, clock_t delta, time_res_t res)
 {
